Home
Support Forums

Build works locally but not in Netlify

Hi there, i simply don’t know how to sort this issue. Error seems to happen in functions build time but i don’t even use Netlify functions so i don’t understand what is happening.

Site is: santo-gallery.netlify.app

Here is my package.json:

{
  "name": "santo-app",
  "version": "0.1.4",
  "scripts": {
    "dev": "svelte-kit dev",
    "build": "svelte-kit build",
    "start": "svelte-kit start",
    "preview": "svelte-kit preview"
  },
  "type": "module",
  "engines": {
    "node": ">= 12.17.0"
  },
  "dependencies": {
    "graphql": "^15.6.1",
    "@apollo/client": "^3.4.16",
    "@beyonk/svelte-carousel": "^2.8.0",
    "@sveltejs/adapter-netlify": "^1.0.0-next.32",
    "@sveltejs/kit": "^1.0.0-next.180",
    "@vimeo/player": "^2.16.1",
    "autoprefixer": "^10.3.7",
    "cssnano": "^5.0.8",
    "localforage": "^1.10.0",
    "localforage-driver-memory": "^1.0.5",
    "node-sass": "^6.0.1",
    "postcss": "^8.3.9",
    "postcss-load-config": "^3.1.0",
    "snarkdown": "^2.0.0",
    "svelte": "^3.43.1",
    "svelte-collapsible": "^0.2.1",
    "svelte-preprocess": "^4.9.8",
    "svelte-preprocess-sass": "^1.0.0",
    "swiper": "^6.8.0",
    "tailwindcss": "^2.2.16",
    "tslib": "^2.0.0",
    "typescript": "^4.0.0",
    "vite": "^2.6.5"
  }
}

Here is the build log:

8:37:21 PM: Build ready to start
8:37:26 PM: build-image version: dd2f6d8803393d46ac35a4f752a5a46f254c0300
8:37:26 PM: build-image tag: v3.9.1
8:37:26 PM: buildbot version: 39428daf62968de16b6279e22b981b8b656d5e02
8:37:26 PM: Fetching cached dependencies
8:37:26 PM: Starting to download cache of 168.3MB
8:37:27 PM: Finished downloading cache in 1.205807795s
8:37:27 PM: Starting to extract cache
8:37:32 PM: Finished extracting cache in 5.37364171s
8:37:32 PM: Finished fetching cache in 6.621902834s
8:37:32 PM: Starting to prepare the repo for build
8:37:33 PM: Preparing Git Reference refs/heads/production
8:37:34 PM: Parsing package.json dependencies
8:37:35 PM: Starting build script
8:37:35 PM: Installing dependencies
8:37:35 PM: Python version set to 2.7
8:37:35 PM: Started restoring cached node version
8:37:38 PM: Finished restoring cached node version
8:37:39 PM: Downloading and installing node v14.18.0...
8:37:39 PM: Downloading https://nodejs.org/dist/v14.18.0/node-v14.18.0-linux-x64.tar.xz...
8:37:40 PM: Computing checksum with sha256sum
8:37:40 PM: Checksums matched!
8:37:43 PM: Now using node v14.18.0 (npm v6.14.15)
8:37:43 PM: Started restoring cached build plugins
8:37:43 PM: Finished restoring cached build plugins
8:37:43 PM: Attempting ruby version 2.7.1, read from environment
8:37:44 PM: Started restoring cached ruby version
8:37:44 PM: Finished restoring cached ruby version
8:37:46 PM: Using ruby version 2.7.1
8:37:47 PM: Using PHP version 5.6
8:37:47 PM: Started restoring cached node modules
8:37:47 PM: Finished restoring cached node modules
8:37:47 PM: Installing NPM modules using NPM version 6.14.15
8:38:06 PM: > esbuild@0.13.4 postinstall /opt/build/repo/node_modules/esbuild
8:38:06 PM: > node install.js
8:38:06 PM: > svelte-preprocess@4.9.8 postinstall /opt/build/repo/node_modules/svelte-preprocess
8:38:06 PM: > echo "[svelte-preprocess] Don't forget to install the preprocessors packages that will be used: node-sass/sass, stylus, less, postcss & postcss-load-config, coffeescript, pug, etc..."
8:38:07 PM: [svelte-preprocess] Don't forget to install the preprocessors packages that will be used: node-sass/sass, stylus, less, postcss & postcss-load-config, coffeescript, pug, etc...npm notice created a lockfile as package-lock.json. You should commit this file.
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-android-arm64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.13.4: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-darwin-64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.13.4: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.13.4: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.13.4: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.13.4: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-32):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.13.4: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-arm):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.13.4: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.13.4: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.13.4: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.13.4: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.13.4: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-sunos-64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.13.4: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.13.4: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-32):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.13.4: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.13.4: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@~2.3.2 (node_modules/vite/node_modules/fsevents):
8:38:07 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
8:38:07 PM: npm WARN localforage-driver-commons@1.0.3 requires a peer of tslib@^1.6.0 but none is installed. You must install peer dependencies yourself.
8:38:07 PM: npm WARN santo-app@0.1.4 No repository field.
8:38:07 PM: npm WARN santo-app@0.1.4 No license field.
8:38:07 PM: added 33 packages from 26 contributors, removed 115 packages, updated 78 packages, moved 1 package and audited 464 packages in 19.049s
8:38:07 PM: 29 packages are looking for funding
8:38:07 PM:   run `npm fund` for details
8:38:07 PM: found 8 vulnerabilities (5 moderate, 3 high)
8:38:07 PM:   run `npm audit fix` to fix them, or `npm audit` for details
8:38:07 PM: NPM modules installed
8:38:07 PM: Started restoring cached go cache
8:38:07 PM: Finished restoring cached go cache
8:38:07 PM: go version go1.14.4 linux/amd64
8:38:07 PM: go version go1.14.4 linux/amd64
8:38:07 PM: Installing missing commands
8:38:07 PM: Verify run directory
8:38:09 PM: ​
8:38:09 PM: ────────────────────────────────────────────────────────────────
8:38:09 PM:   Netlify Build                                                 
8:38:09 PM: ────────────────────────────────────────────────────────────────
8:38:09 PM: ​
8:38:09 PM: ❯ Version
8:38:09 PM:   @netlify/build 18.13.11
8:38:09 PM: ​
8:38:09 PM: ❯ Flags
8:38:09 PM:   baseRelDir: true
8:38:09 PM:   buildId: 616227b1fb0bc600071a27c7
8:38:09 PM:   deployId: 616227b1fb0bc600071a27c9
8:38:09 PM: ​
8:38:09 PM: ❯ Current directory
8:38:09 PM:   /opt/build/repo
8:38:09 PM: ​
8:38:09 PM: ❯ Config file
8:38:09 PM:   /opt/build/repo/netlify.toml
8:38:09 PM: ​
8:38:09 PM: ❯ Context
8:38:09 PM:   production
8:38:09 PM: ​
8:38:09 PM: ────────────────────────────────────────────────────────────────
8:38:09 PM:   1. build.command from netlify.toml                            
8:38:09 PM: ────────────────────────────────────────────────────────────────
8:38:09 PM: ​
8:38:09 PM: $ npm run build
8:38:09 PM: > santo-app@0.1.4 build /opt/build/repo
8:38:09 PM: > svelte-kit build
8:38:09 PM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
8:38:09 PM: See https://github.com/sveltejs/svelte-preprocess/issues/362
8:38:09 PM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
8:38:09 PM: See https://github.com/sveltejs/svelte-preprocess/issues/362
8:38:09 PM: vite v2.6.5 building for production...
8:38:10 PM: transforming...
8:38:19 PM: 11:38:19 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:3:13 Image has unused export property 'content'. If it is for external reference only, please consider using `export const content`
8:38:19 PM: 1: <script>
8:38:19 PM: 2:   const apiUrl = import.meta.env.VITE_API_URL;
8:38:19 PM: 3:   export let content;
8:38:19 PM:                 ^
8:38:19 PM: 4: </script>
8:38:19 PM: 5:
8:38:19 PM: 11:38:19 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:7:7 Unused CSS selector "img"
8:38:19 PM: 5:
8:38:19 PM: 6:
8:38:19 PM: 7: <style>img{height:auto;width:100%}</style>
8:38:19 PM:           ^
8:38:19 PM: 11:38:19 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:13:11 ProductRow has unused export property 'products'. If it is for external reference only, please consider using `export const products`
8:38:19 PM: 11:
8:38:19 PM: 12: export let content;
8:38:19 PM: 13: export let products;
8:38:19 PM:                ^
8:38:19 PM: 14: export let componentMap;
8:38:19 PM: 15: </script>
8:38:19 PM: 11:38:19 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:14:11 ProductRow has unused export property 'componentMap'. If it is for external reference only, please consider using `export const componentMap`
8:38:19 PM: 12: export let content;
8:38:19 PM: 13: export let products;
8:38:19 PM: 14: export let componentMap;
8:38:19 PM:                ^
8:38:19 PM: 15: </script>
8:38:19 PM: 16:
8:38:19 PM: 11:38:19 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Magazine.svelte:98:75 Unused CSS selector ".img3"
8:38:19 PM:  96:   </div>
8:38:19 PM:  97:
8:38:19 PM:  98:   <style>main section img{height:416px;width:585px}.img1{margin-right:10px}.img3{margin-left:10px}h4{font-family:GT-America-Bold}section span{border-bottom:2px solid #000}</style>
8:38:19 PM:                                                                                 ^
8:38:19 PM:  99:
8:38:30 PM: ✓ 477 modules transformed.
8:38:30 PM: rendering chunks...
8:38:31 PM: .svelte-kit/output/client/_app/manifest.json                                         6.37 KiB
8:38:31 PM: .svelte-kit/output/client/_app/error.svelte-b61fef3d.js                              1.56 KiB / gzip: 0.75 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/index.svelte-98f901e3.js                        6.35 KiB / gzip: 2.71 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/editorial/[slug].svelte-506156a6.js             1.01 KiB / gzip: 0.57 KiB
8:38:31 PM: .svelte-kit/output/client/_app/start-6d2c2351.js                                     21.24 KiB / gzip: 7.26 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/about.svelte-a7fbfc43.js                        1.23 KiB / gzip: 0.69 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/search/index.svelte-6f6dfb1d.js                 8.29 KiB / gzip: 2.64 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/collections/[slug].svelte-0686ae0e.js           20.34 KiB / gzip: 5.12 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/singletons-12a22614.js                         0.05 KiB / gzip: 0.06 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/index-88294419.js                              1.48 KiB / gzip: 0.51 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/[...slug].svelte-308a2cf8.js                    17.62 KiB / gzip: 5.52 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/cart-55ac8cf5.js                               2.99 KiB / gzip: 1.12 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/stores-e6ad21a8.js                             0.39 KiB / gzip: 0.23 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/RichText-75ab184d.js                           0.51 KiB / gzip: 0.35 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/navigation-0c0cdff2.js                         2.35 KiB / gzip: 1.51 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/search-c7037ff8.js                             0.96 KiB / gzip: 0.48 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/SpaceBar-d0e54a81.js                           3.44 KiB / gzip: 1.29 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/Strapi-04624383.js                             29.55 KiB / gzip: 8.38 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/start-464e9d0a.css                             0.19 KiB / gzip: 0.15 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/search/index.svelte-689d7c8e.css         0.48 KiB / gzip: 0.21 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/Quote-47527773.js                              9.61 KiB / gzip: 3.39 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/ArtistBackground-95c8ffbe.js                   7.49 KiB / gzip: 2.30 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/Quote-8d86d010.css                             0.15 KiB / gzip: 0.14 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/[...slug].svelte-c7f21a68.css            0.70 KiB / gzip: 0.29 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/vendor-dce6f3ff.css                            0.31 KiB / gzip: 0.14 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/CalloutRow-c78857a3.js                         16.69 KiB / gzip: 5.24 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/index.svelte-e787cf94.css                0.20 KiB / gzip: 0.14 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/ArtistBackground-b2d2fae8.css                  0.17 KiB / gzip: 0.13 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/collections/[slug].svelte-2fe9095b.css   0.16 KiB / gzip: 0.11 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/CalloutRow-130da810.css                        13.91 KiB / gzip: 4.04 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/Strapi-72a65c47.css                            2.18 KiB / gzip: 0.78 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/artwork/[slug].svelte-3963e683.css       2.45 KiB / gzip: 0.69 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/__layout.svelte-625af7d7.js                     71.18 KiB / gzip: 20.34 KiB
8:38:31 PM: .svelte-kit/output/client/_app/pages/artwork/[slug].svelte-392a32bf.js               72.05 KiB / gzip: 30.54 KiB
8:38:31 PM: .svelte-kit/output/client/_app/assets/pages/__layout.svelte-0c3f92b0.css             28.18 KiB / gzip: 6.36 KiB
8:38:31 PM: .svelte-kit/output/client/_app/chunks/vendor-c6b58eea.js                             486.46 KiB / gzip: 138.14 KiB
8:38:31 PM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
8:38:31 PM: See https://github.com/sveltejs/svelte-preprocess/issues/362
8:38:31 PM: vite v2.6.5 building SSR bundle for production...
8:38:31 PM: transforming...
8:38:34 PM: 11:38:34 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:3:13 Image has unused export property 'content'. If it is for external reference only, please consider using `export const content`
8:38:34 PM: 1: <script>
8:38:34 PM: 2:   const apiUrl = import.meta.env.VITE_API_URL;
8:38:34 PM: 3:   export let content;
8:38:34 PM:                 ^
8:38:34 PM: 4: </script>
8:38:34 PM: 5:
8:38:34 PM: 11:38:34 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:7:7 Unused CSS selector "img"
8:38:34 PM: 5:
8:38:34 PM: 6:
8:38:34 PM: 7: <style>img{height:auto;width:100%}</style>
8:38:34 PM:           ^
8:38:35 PM: 11:38:35 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:13:11 ProductRow has unused export property 'products'. If it is for external reference only, please consider using `export const products`
8:38:35 PM: 11:
8:38:35 PM: 12: export let content;
8:38:35 PM: 13: export let products;
8:38:35 PM:                ^
8:38:35 PM: 14: export let componentMap;
8:38:35 PM: 15: </script>
8:38:35 PM: 11:38:35 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:14:11 ProductRow has unused export property 'componentMap'. If it is for external reference only, please consider using `export const componentMap`
8:38:35 PM: 12: export let content;
8:38:35 PM: 13: export let products;
8:38:35 PM: 14: export let componentMap;
8:38:35 PM:                ^
8:38:35 PM: 15: </script>
8:38:35 PM: 16:
8:38:35 PM: 11:38:35 PM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Magazine.svelte:98:75 Unused CSS selector ".img3"
8:38:35 PM:  96:   </div>
8:38:35 PM:  97:
8:38:35 PM:  98:   <style>main section img{height:416px;width:585px}.img1{margin-right:10px}.img3{margin-left:10px}h4{font-family:GT-America-Bold}section span{border-bottom:2px solid #000}</style>
8:38:35 PM:                                                                                 ^
8:38:35 PM:  99:
8:38:40 PM: ✓ 249 modules transformed.
8:38:40 PM: rendering chunks...
8:38:40 PM: .svelte-kit/output/server/app.js   494.91 KiB
8:38:40 PM: Run npm run preview to preview your production build locally.
8:38:40 PM: 
8:38:40 PM: > Using @sveltejs/adapter-netlify
8:38:41 PM:  > .svelte-kit/output/server/app.js:5503:27: warning: Comparison with -0 using the "===" operator will also match 0
8:38:41 PM:     5503 │   if (swiper.translate === -0)
8:38:41 PM:          ╵                            ~~
8:38:41 PM:  > .svelte-kit/output/server/app.js:23:7: warning: Ignoring this import because "node_modules/swiper/swiper.cjs.js" was marked as having no side effects
8:38:41 PM:     23 │ import "swiper";
8:38:41 PM:        ╵        ~~~~~~~~
8:38:41 PM:    node_modules/swiper/package.json:85:2: note: It was excluded from the "sideEffects" array in the enclosing "package.json" file
8:38:41 PM:     85 │   "sideEffects": [
8:38:41 PM:        ╵   ~~~~~~~~~~~~~
8:38:41 PM:   ✔ done
8:38:41 PM: ​
8:38:41 PM: (build.command completed in 32.6s)
8:38:41 PM: ​
8:38:41 PM: ────────────────────────────────────────────────────────────────
8:38:41 PM:   2. Functions bundling                                         
8:38:41 PM: ────────────────────────────────────────────────────────────────
8:38:41 PM: ​
8:38:41 PM: The Netlify Functions setting targets a non-existing directory: func
8:38:41 PM: ​
8:38:41 PM: Packaging Functions from .netlify/functions-internal directory:
8:38:41 PM:  - __render.js
8:38:41 PM: ​
8:38:45 PM: ​
8:38:45 PM: ────────────────────────────────────────────────────────────────
8:38:45 PM:   Dependencies installation error                               
8:38:45 PM: ────────────────────────────────────────────────────────────────
8:38:45 PM: ​
8:38:45 PM:   Error message
8:38:45 PM:   A Netlify Function failed to require one of its dependencies.
8:38:45 PM:   Please make sure it is present in the site's top-level "package.json".​
8:38:45 PM:   In file "/opt/build/repo/.netlify/functions-internal/__render.js"
8:38:45 PM:   Cannot find module 'stream/package.json'
8:38:45 PM:   Require stack:
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/node_dependencies/resolve.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/node_dependencies/index.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/main.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/plugins_core/functions/index.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/commands/get.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/core/main.js
8:38:45 PM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/core/bin.js
8:38:45 PM: ​
8:38:45 PM:   Resolved config
8:38:45 PM:   build:
8:38:45 PM:     command: npm run build
8:38:45 PM:     commandOrigin: config
8:38:45 PM:     environment:
8:38:45 PM:       - NODE_VERSION
8:38:45 PM:       - VITE_API_URL
8:38:45 PM:       - VITE_GEOLOCATION_API_URL
8:38:45 PM:       - VITE_SHOPIFY_URL
8:38:45 PM:     publish: /opt/build/repo/build
8:38:45 PM:     publishOrigin: config
8:38:45 PM:   functionsDirectory: /opt/build/repo/func
8:38:45 PM:   redirects:
8:38:45 PM:     - from: /*      status: 200      to: /.netlify/functions/__renderCaching artifacts
8:38:45 PM: Started saving node modules
8:38:45 PM: Finished saving node modules
8:38:45 PM: Started saving build plugins
8:38:45 PM: Finished saving build plugins
8:38:45 PM: Started saving pip cache
8:38:45 PM: Finished saving pip cache
8:38:45 PM: Started saving emacs cask dependencies
8:38:45 PM: Finished saving emacs cask dependencies
8:38:45 PM: Started saving maven dependencies
8:38:45 PM: Finished saving maven dependencies
8:38:45 PM: Started saving boot dependencies
8:38:45 PM: Finished saving boot dependencies
8:38:45 PM: Started saving rust rustup cache
8:38:45 PM: Finished saving rust rustup cache
8:38:45 PM: Started saving go dependencies
8:38:45 PM: Finished saving go dependencies
8:38:49 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
8:38:49 PM: Creating deploy upload records
8:38:49 PM: Failing build: Failed to build site
8:38:49 PM: Failed during stage 'building site': Build script returned non-zero exit code: 2
8:38:49 PM: Finished processing build request in 1m23.689092078s

Hi @dgrana

The above message shows you have set the functions directory in either the Netlify UI, or netlify.toml to func, and this directory does not exist (see below.)

Hi there, thank you for your response. I indeed have a “func” directory set in Netlify, i removed and redeployed. That message is now gone but issue persist.

Here’s the new log just in case

12:31:08 AM: Build ready to start
12:31:10 AM: build-image version: dd2f6d8803393d46ac35a4f752a5a46f254c0300
12:31:10 AM: build-image tag: v3.9.1
12:31:10 AM: buildbot version: 39428daf62968de16b6279e22b981b8b656d5e02
12:31:10 AM: Fetching cached dependencies
12:31:10 AM: Starting to download cache of 168.3MB
12:31:11 AM: Finished downloading cache in 933.283908ms
12:31:11 AM: Starting to extract cache
12:31:16 AM: Finished extracting cache in 4.893525816s
12:31:16 AM: Finished fetching cache in 5.882973483s
12:31:16 AM: Starting to prepare the repo for build
12:31:17 AM: Preparing Git Reference refs/heads/production
12:31:18 AM: Parsing package.json dependencies
12:31:18 AM: Starting build script
12:31:18 AM: Installing dependencies
12:31:18 AM: Python version set to 2.7
12:31:19 AM: Started restoring cached node version
12:31:22 AM: Finished restoring cached node version
12:31:22 AM: Downloading and installing node v14.18.0...
12:31:22 AM: Downloading https://nodejs.org/dist/v14.18.0/node-v14.18.0-linux-x64.tar.xz...
12:31:23 AM: Computing checksum with sha256sum
12:31:23 AM: Checksums matched!
12:31:26 AM: Now using node v14.18.0 (npm v6.14.15)
12:31:26 AM: Started restoring cached build plugins
12:31:26 AM: Finished restoring cached build plugins
12:31:26 AM: Attempting ruby version 2.7.1, read from environment
12:31:26 AM: Started restoring cached ruby version
12:31:27 AM: Finished restoring cached ruby version
12:31:28 AM: Using ruby version 2.7.1
12:31:29 AM: Using PHP version 5.6
12:31:29 AM: Started restoring cached node modules
12:31:29 AM: Finished restoring cached node modules
12:31:29 AM: Installing NPM modules using NPM version 6.14.15
12:31:47 AM: > esbuild@0.13.4 postinstall /opt/build/repo/node_modules/esbuild
12:31:47 AM: > node install.js
12:31:47 AM: > svelte-preprocess@4.9.8 postinstall /opt/build/repo/node_modules/svelte-preprocess
12:31:47 AM: > echo "[svelte-preprocess] Don't forget to install the preprocessors packages that will be used: node-sass/sass, stylus, less, postcss & postcss-load-config, coffeescript, pug, etc..."
12:31:47 AM: [svelte-preprocess] Don't forget to install the preprocessors packages that will be used: node-sass/sass, stylus, less, postcss & postcss-load-config, coffeescript, pug, etc...npm notice created a lockfile as package-lock.json. You should commit this file.
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-android-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-android-arm64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-android-arm64@0.13.4: wanted {"os":"android","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-darwin-64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-64@0.13.4: wanted {"os":"darwin","arch":"x64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-darwin-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-darwin-arm64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-darwin-arm64@0.13.4: wanted {"os":"darwin","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-freebsd-arm64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-arm64@0.13.4: wanted {"os":"freebsd","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-freebsd-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-freebsd-64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-freebsd-64@0.13.4: wanted {"os":"freebsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-arm):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm@0.13.4: wanted {"os":"linux","arch":"arm"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-32@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-32):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-32@0.13.4: wanted {"os":"linux","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-arm64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-arm64@0.13.4: wanted {"os":"linux","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-mips64le@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-mips64le):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-mips64le@0.13.4: wanted {"os":"linux","arch":"mips64el"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-linux-ppc64le@0.13.4 (node_modules/esbuild/node_modules/esbuild-linux-ppc64le):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-linux-ppc64le@0.13.4: wanted {"os":"linux","arch":"ppc64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-openbsd-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-openbsd-64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-openbsd-64@0.13.4: wanted {"os":"openbsd","arch":"x64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-32@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-32):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-32@0.13.4: wanted {"os":"win32","arch":"ia32"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-64@0.13.4: wanted {"os":"win32","arch":"x64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-windows-arm64@0.13.4 (node_modules/esbuild/node_modules/esbuild-windows-arm64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-windows-arm64@0.13.4: wanted {"os":"win32","arch":"arm64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: esbuild-sunos-64@0.13.4 (node_modules/esbuild/node_modules/esbuild-sunos-64):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for esbuild-sunos-64@0.13.4: wanted {"os":"sunos","arch":"x64"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@~2.3.2 (node_modules/vite/node_modules/fsevents):
12:31:47 AM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
12:31:47 AM: npm WARN localforage-driver-commons@1.0.3 requires a peer of tslib@^1.6.0 but none is installed. You must install peer dependencies yourself.
12:31:47 AM: npm WARN santo-app@0.1.4 No repository field.
12:31:47 AM: npm WARN santo-app@0.1.4 No license field.
12:31:47 AM: added 33 packages from 26 contributors, removed 115 packages, updated 78 packages, moved 1 package and audited 464 packages in 17.741s
12:31:47 AM: 29 packages are looking for funding
12:31:47 AM:   run `npm fund` for details
12:31:47 AM: found 8 vulnerabilities (5 moderate, 3 high)
12:31:47 AM:   run `npm audit fix` to fix them, or `npm audit` for details
12:31:48 AM: NPM modules installed
12:31:48 AM: Started restoring cached go cache
12:31:48 AM: Finished restoring cached go cache
12:31:48 AM: go version go1.14.4 linux/amd64
12:31:48 AM: go version go1.14.4 linux/amd64
12:31:48 AM: Installing missing commands
12:31:48 AM: Verify run directory
12:31:49 AM: ​
12:31:49 AM: ────────────────────────────────────────────────────────────────
12:31:49 AM:   Netlify Build                                                 
12:31:49 AM: ────────────────────────────────────────────────────────────────
12:31:49 AM: ​
12:31:49 AM: ❯ Version
12:31:49 AM:   @netlify/build 18.13.11
12:31:49 AM: ​
12:31:49 AM: ❯ Flags
12:31:49 AM:   baseRelDir: true
12:31:49 AM:   buildId: 61625e7c4e74981fc1f79a63
12:31:49 AM:   deployId: 61625e7c4e74981fc1f79a65
12:31:49 AM: ​
12:31:49 AM: ❯ Current directory
12:31:49 AM:   /opt/build/repo
12:31:49 AM: ​
12:31:49 AM: ❯ Config file
12:31:49 AM:   /opt/build/repo/netlify.toml
12:31:49 AM: ​
12:31:49 AM: ❯ Context
12:31:49 AM:   production
12:31:49 AM: ​
12:31:49 AM: ────────────────────────────────────────────────────────────────
12:31:49 AM:   1. build.command from netlify.toml                            
12:31:49 AM: ────────────────────────────────────────────────────────────────
12:31:49 AM: ​
12:31:49 AM: $ npm run build
12:31:49 AM: > santo-app@0.1.4 build /opt/build/repo
12:31:49 AM: > svelte-kit build
12:31:50 AM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
12:31:50 AM: See https://github.com/sveltejs/svelte-preprocess/issues/362
12:31:50 AM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
12:31:50 AM: See https://github.com/sveltejs/svelte-preprocess/issues/362
12:31:50 AM: vite v2.6.5 building for production...
12:31:50 AM: transforming...
12:31:58 AM: 3:31:58 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:3:13 Image has unused export property 'content'. If it is for external reference only, please consider using `export const content`
12:31:58 AM: 1: <script>
12:31:58 AM: 2:   const apiUrl = import.meta.env.VITE_API_URL;
12:31:58 AM: 3:   export let content;
12:31:58 AM:                 ^
12:31:58 AM: 4: </script>
12:31:58 AM: 5:
12:31:58 AM: 3:31:58 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:7:7 Unused CSS selector "img"
12:31:58 AM: 5:
12:31:58 AM: 6:
12:31:58 AM: 7: <style>img{height:auto;width:100%}</style>
12:31:58 AM:           ^
12:31:59 AM: 3:31:59 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:13:11 ProductRow has unused export property 'products'. If it is for external reference only, please consider using `export const products`
12:31:59 AM: 11:
12:31:59 AM: 12: export let content;
12:31:59 AM: 13: export let products;
12:31:59 AM:                ^
12:31:59 AM: 14: export let componentMap;
12:31:59 AM: 15: </script>
12:31:59 AM: 3:31:59 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:14:11 ProductRow has unused export property 'componentMap'. If it is for external reference only, please consider using `export const componentMap`
12:31:59 AM: 12: export let content;
12:31:59 AM: 13: export let products;
12:31:59 AM: 14: export let componentMap;
12:31:59 AM:                ^
12:31:59 AM: 15: </script>
12:31:59 AM: 16:
12:31:59 AM: 3:31:59 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Magazine.svelte:98:75 Unused CSS selector ".img3"
12:31:59 AM:  96:   </div>
12:31:59 AM:  97:
12:31:59 AM:  98:   <style>main section img{height:416px;width:585px}.img1{margin-right:10px}.img3{margin-left:10px}h4{font-family:GT-America-Bold}section span{border-bottom:2px solid #000}</style>
12:31:59 AM:                                                                                 ^
12:31:59 AM:  99:
12:32:08 AM: ✓ 477 modules transformed.
12:32:08 AM: rendering chunks...
12:32:08 AM: .svelte-kit/output/client/_app/manifest.json                                         6.37 KiB
12:32:08 AM: .svelte-kit/output/client/_app/error.svelte-b61fef3d.js                              1.56 KiB / gzip: 0.75 KiB
12:32:08 AM: .svelte-kit/output/client/_app/start-6d2c2351.js                                     21.24 KiB / gzip: 7.26 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/index.svelte-98f901e3.js                        6.35 KiB / gzip: 2.71 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/editorial/[slug].svelte-506156a6.js             1.01 KiB / gzip: 0.57 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/search/index.svelte-6f6dfb1d.js                 8.29 KiB / gzip: 2.64 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/collections/[slug].svelte-0686ae0e.js           20.34 KiB / gzip: 5.12 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/about.svelte-a7fbfc43.js                        1.23 KiB / gzip: 0.69 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/singletons-12a22614.js                         0.05 KiB / gzip: 0.06 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/index-88294419.js                              1.48 KiB / gzip: 0.51 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/cart-55ac8cf5.js                               2.99 KiB / gzip: 1.12 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/[...slug].svelte-308a2cf8.js                    17.62 KiB / gzip: 5.52 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/navigation-0c0cdff2.js                         2.35 KiB / gzip: 1.51 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/stores-e6ad21a8.js                             0.39 KiB / gzip: 0.23 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/search-c7037ff8.js                             0.96 KiB / gzip: 0.48 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/RichText-75ab184d.js                           0.51 KiB / gzip: 0.35 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/SpaceBar-d0e54a81.js                           3.44 KiB / gzip: 1.29 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/Quote-47527773.js                              9.61 KiB / gzip: 3.39 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/start-464e9d0a.css                             0.19 KiB / gzip: 0.15 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/Strapi-04624383.js                             29.55 KiB / gzip: 8.38 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/index.svelte-e787cf94.css                0.20 KiB / gzip: 0.14 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/ArtistBackground-95c8ffbe.js                   7.49 KiB / gzip: 2.30 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/Quote-8d86d010.css                             0.15 KiB / gzip: 0.14 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/ArtistBackground-b2d2fae8.css                  0.17 KiB / gzip: 0.13 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/vendor-dce6f3ff.css                            0.31 KiB / gzip: 0.14 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/search/index.svelte-689d7c8e.css         0.48 KiB / gzip: 0.21 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/[...slug].svelte-c7f21a68.css            0.70 KiB / gzip: 0.29 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/Strapi-72a65c47.css                            2.18 KiB / gzip: 0.78 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/collections/[slug].svelte-2fe9095b.css   0.16 KiB / gzip: 0.11 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/artwork/[slug].svelte-3963e683.css       2.45 KiB / gzip: 0.69 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/CalloutRow-c78857a3.js                         16.69 KiB / gzip: 5.24 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/CalloutRow-130da810.css                        13.91 KiB / gzip: 4.04 KiB
12:32:08 AM: .svelte-kit/output/client/_app/assets/pages/__layout.svelte-0c3f92b0.css             28.18 KiB / gzip: 6.36 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/artwork/[slug].svelte-392a32bf.js               72.05 KiB / gzip: 30.54 KiB
12:32:08 AM: .svelte-kit/output/client/_app/pages/__layout.svelte-625af7d7.js                     71.18 KiB / gzip: 20.34 KiB
12:32:08 AM: .svelte-kit/output/client/_app/chunks/vendor-c6b58eea.js                             486.46 KiB / gzip: 138.14 KiB
12:32:08 AM: [svelte-preprocess] Deprecation notice: using the "defaults" option is no longer recommended and will be removed in the next major version. Instead, define the language being used explicitly via the lang attribute.
12:32:08 AM: See https://github.com/sveltejs/svelte-preprocess/issues/362
12:32:08 AM: vite v2.6.5 building SSR bundle for production...
12:32:09 AM: transforming...
12:32:11 AM: 3:32:11 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:3:13 Image has unused export property 'content'. If it is for external reference only, please consider using `export const content`
12:32:11 AM: 1: <script>
12:32:11 AM: 2:   const apiUrl = import.meta.env.VITE_API_URL;
12:32:11 AM: 3:   export let content;
12:32:11 AM:                 ^
12:32:11 AM: 4: </script>
12:32:11 AM: 5:
12:32:11 AM: 3:32:11 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Image.svelte:7:7 Unused CSS selector "img"
12:32:11 AM: 5:
12:32:11 AM: 6:
12:32:11 AM: 7: <style>img{height:auto;width:100%}</style>
12:32:11 AM:           ^
12:32:12 AM: 3:32:12 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:13:11 ProductRow has unused export property 'products'. If it is for external reference only, please consider using `export const products`
12:32:12 AM: 11:
12:32:12 AM: 12: export let content;
12:32:12 AM: 13: export let products;
12:32:12 AM:                ^
12:32:12 AM: 14: export let componentMap;
12:32:12 AM: 15: </script>
12:32:12 AM: 3:32:12 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/ProductRow.svelte:14:11 ProductRow has unused export property 'componentMap'. If it is for external reference only, please consider using `export const componentMap`
12:32:12 AM: 12: export let content;
12:32:12 AM: 13: export let products;
12:32:12 AM: 14: export let componentMap;
12:32:12 AM:                ^
12:32:12 AM: 15: </script>
12:32:12 AM: 16:
12:32:12 AM: 3:32:12 AM [vite-plugin-svelte] /opt/build/repo/src/lib/strapi/Magazine.svelte:98:75 Unused CSS selector ".img3"
12:32:12 AM:  96:   </div>
12:32:12 AM:  97:
12:32:12 AM:  98:   <style>main section img{height:416px;width:585px}.img1{margin-right:10px}.img3{margin-left:10px}h4{font-family:GT-America-Bold}section span{border-bottom:2px solid #000}</style>
12:32:12 AM:                                                                                 ^
12:32:12 AM:  99:
12:32:18 AM: ✓ 249 modules transformed.
12:32:18 AM: rendering chunks...
12:32:18 AM: .svelte-kit/output/server/app.js   494.91 KiB
12:32:18 AM: Run npm run preview to preview your production build locally.
12:32:18 AM: 
12:32:18 AM: > Using @sveltejs/adapter-netlify
12:32:18 AM:  > .svelte-kit/output/server/app.js:5503:27: warning: Comparison with -0 using the "===" operator will also match 0
12:32:18 AM:     5503 │   if (swiper.translate === -0)
12:32:18 AM:          ╵                            ~~
12:32:18 AM:  > .svelte-kit/output/server/app.js:23:7: warning: Ignoring this import because "node_modules/swiper/swiper.cjs.js" was marked as having no side effects
12:32:18 AM:     23 │ import "swiper";
12:32:18 AM:        ╵        ~~~~~~~~
12:32:18 AM:    node_modules/swiper/package.json:85:2: note: It was excluded from the "sideEffects" array in the enclosing "package.json" file
12:32:18 AM:     85 │   "sideEffects": [
12:32:18 AM:        ╵   ~~~~~~~~~~~~~
12:32:19 AM:   ✔ done
12:32:19 AM: ​
12:32:19 AM: (build.command completed in 29.7s)
12:32:19 AM: ​
12:32:19 AM: ────────────────────────────────────────────────────────────────
12:32:19 AM:   2. Functions bundling                                         
12:32:19 AM: ────────────────────────────────────────────────────────────────
12:32:19 AM: ​
12:32:19 AM: Packaging Functions from .netlify/functions-internal directory:
12:32:19 AM:  - __render.js
12:32:19 AM: ​
12:32:22 AM: ​
12:32:22 AM: ────────────────────────────────────────────────────────────────
12:32:22 AM:   Dependencies installation error                               
12:32:22 AM: ────────────────────────────────────────────────────────────────
12:32:22 AM: ​
12:32:22 AM:   Error message
12:32:22 AM:   A Netlify Function failed to require one of its dependencies.
12:32:22 AM:   Please make sure it is present in the site's top-level "package.json".​
12:32:22 AM:   In file "/opt/build/repo/.netlify/functions-internal/__render.js"
12:32:22 AM:   Cannot find module 'stream/package.json'
12:32:22 AM:   Require stack:
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/node_dependencies/resolve.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/node_dependencies/index.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/node_modules/@netlify/zip-it-and-ship-it/dist/main.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/plugins_core/functions/index.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/commands/get.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/core/main.js
12:32:22 AM:   - /opt/buildhome/.netlify-build-nvm/versions/node/v12.22.6/lib/node_modules/@netlify/build/src/core/bin.js
12:32:22 AM: ​
12:32:22 AM:   Resolved config
12:32:22 AM:   build:
12:32:22 AM:     command: npm run build
12:32:22 AM:     commandOrigin: config
12:32:22 AM:     environment:
12:32:22 AM:       - NODE_VERSION
12:32:22 AM:       - VITE_API_URL
12:32:22 AM:       - VITE_GEOLOCATION_API_URL
12:32:22 AM:       - VITE_SHOPIFY_URL
12:32:22 AM:     publish: /opt/build/repo/build
12:32:22 AM:     publishOrigin: config
12:32:22 AM:   redirects:
12:32:22 AM:     - from: /*      status: 200      to: /.netlify/functions/__renderCaching artifacts
12:32:22 AM: Started saving node modules
12:32:22 AM: Finished saving node modules
12:32:22 AM: Started saving build plugins
12:32:22 AM: Finished saving build plugins
12:32:22 AM: Started saving pip cache
12:32:22 AM: Finished saving pip cache
12:32:22 AM: Started saving emacs cask dependencies
12:32:22 AM: Finished saving emacs cask dependencies
12:32:22 AM: Started saving maven dependencies
12:32:22 AM: Finished saving maven dependencies
12:32:22 AM: Started saving boot dependencies
12:32:22 AM: Finished saving boot dependencies
12:32:22 AM: Started saving rust rustup cache
12:32:23 AM: Finished saving rust rustup cache
12:32:23 AM: Started saving go dependencies
12:32:23 AM: Finished saving go dependencies
12:32:26 AM: Build failed due to a user error: Build script returned non-zero exit code: 2
12:32:26 AM: Creating deploy upload records
12:32:26 AM: Failing build: Failed to build site
12:32:26 AM: Failed during stage 'building site': Build script returned non-zero exit code: 2
12:32:27 AM: Finished processing build request in 1m16.432406491s

If you haven’t, could you try specifying esbuild for functions i.e. in your netlify.toml

[functions]
  node_bundler = "esbuild"

As mentioned in the adapter docs. See functions docs for more.

1 Like

That worked! thank you so much

1 Like